corda / net.corda.core.messaging / ReceivedMessage

# ReceivedMessage

`interface ReceivedMessage : Message`

### Properties

peer | `abstract val peer: X500Name` The authenticated sender.

### Inherited Properties

data | `abstract val data: ByteArray`
debugTimestamp | `abstract val debugTimestamp: Instant`
topicSession | `abstract val topicSession: TopicSession`
uniqueMessageId | `abstract val uniqueMessageId: UUID`